from src.gfolio import __version__
import setuptools

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setuptools.setup(
    name='gfolio',
    version=__version__,
    author='Gabriel Abrahao',
    author_email='gabrielabrahaorr@gmail.com',
    description='The gfolio is a Python library, containing a set of tools useful  to perform quantitative analysis of financial assets.',
    long_description=long_description,
    long_description_content_type="text/markdown",
    url='https://github.com/GabrielAbra/gfolio',
    project_urls={
        "Bug Tracker": "https://github.com/GabrielAbra/gfolio/issues",
    },
    classifiers=[
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.8",
    ],
    license='MIT',
    install_requires=["numpy", "pandas", "scipy", "scikit-learn"],
    package_dir={"": "src"},
    packages=setuptools.find_packages(where="src"),
    python_requires=">=3.6",
)
